org.bouncycastle.crypto.params

## Class DHKeyGenerationParameters

- java.lang.Object
- - org.bouncycastle.crypto.KeyGenerationParameters
  - - org.bouncycastle.crypto.params.DHKeyGenerationParameters

    public class DHKeyGenerationParameters
    extends KeyGenerationParameters

### Constructor Summary

Constructors
Constructor and Description
`DHKeyGenerationParameters(java.security.SecureRandom random, DHParameters params)`

### Method Summary

Methods
`DHParameters` `getParameters()`

### Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters

`getRandom, getStrength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DHKeyGenerationParameters

    public DHKeyGenerationParameters(java.security.SecureRandom random,
                             DHParameters params)

### Method Detail

#### getParameters

    public DHParameters getParameters()